#!/bin/sh
#===============================================================================
#
# CPM CLASS DIR LINK
#
# 2006.06.01 μȽб  CLIMB S.Matsumoto
# 2013.03.14 Cassiopeiaб    FJFS  M.Sato
#           (PXMĶȽǤpmsvmco.confڤؤɲ)
# 2013.04.09 Cassiopeiaб    FJFS  M.Sato
#           (ASMĶȽǤpmsvmco.confڤؤɲ)
#           (svfsεư̵ͭȽǤpmsvmco.confڤؤɲ)
# 2013.04.10 Cassiopeiaб    FJFS  M.Sato
#           (ե뤬ʤsourceʸԤʲʸ¹Ԥʤ)
#                                           Copyright FUJITSU LTD 2004-2006,2013
#===============================================================================
#$Name: SLINSVMCO-2_0_0-2 $

# :: ư ::
echo ./chkmdl start. > /var/fujitsu/SVmco/log/cpm/sh.inlog

# :: ѥ᥿å ::
if [ $# -eq 0 ];
then
	echo not parameter >> /var/fujitsu/SVmco/log/cpm/sh.inlog
	exit -1
fi
if [ $# -ne 1 ];
then
	echo invalid parameter : $* >> /var/fujitsu/SVmco/log/cpm/sh.inlog
	exit -1
fi

echo receive parameter : $* >> /var/fujitsu/SVmco/log/cpm/sh.inlog


# :: ѥ ::
cpm_opt="/opt/fujitsu/SVmco/machine"
cpm_cur="/current"

# бե
cpm_org=$1

ph=$cpm_opt"/"$cpm_org

# ::  ::
find $cpm_opt -name "current" -exec \rm -r {} \;

f=0

# бե¸߳ǧ
if [ -e $ph ];
then
	f=1
else
	echo not folder $ph >> /var/fujitsu/SVmco/log/cpm/sh.inlog
fi

# ::  ::
if [ $f -eq 1 ];
then
	echo ln -fs  $ph $cpm_opt$cpm_cur >> /var/fujitsu/SVmco/log/cpm/sh.inlog
	ln -fs  $ph $cpm_opt$cpm_cur >> /var/fujitsu/SVmco/log/cpm/sh.inlog
fi

f2=0
# ASPγǧ
egrep -e "^ASP-VM Firmware" /etc/redhat-release > /dev/null 2>&1
if [ $? -eq 0 ];
then
	# ASPξ
	f2=2
else
	# PXMγǧ
	if [ -e /var/opt/FJSVpxm/conf/svmco/installcheck ];
	then
		# PXMξ
		f2=1
	else
		# ¾ξ
		f2=0
	fi
fi

SVFS_SET=0
# svfsư̵ͭեɤ߹
if [ -e /etc/fujitsu/SVmco/global/ch_model.conf ];
then
	source /etc/fujitsu/SVmco/global/ch_model.conf >> /var/fujitsu/SVmco/log/cpm/sh.inlog 2>&1
fi

cd /etc/fujitsu/SVmco/global/ > /dev/null
# ASP/PXMʳγǧ
if [ $f2 -eq 0 ];
then
	# ASP/PXMʳξ
	echo ln -fs pmsvmco.conf.Linux pmsvmco.conf >> /var/fujitsu/SVmco/log/cpm/sh.inlog
	ln -fs pmsvmco.conf.Linux pmsvmco.conf >> /var/fujitsu/SVmco/log/cpm/sh.inlog
else
	# ASP/PXMξ
	# SVFSư̵ͭγǧ
	if [ $SVFS_SET -eq 1 ];
	then
		# SVFSưͭξ
		echo ln -fs pmsvmco.conf.Pxm pmsvmco.conf >> /var/fujitsu/SVmco/log/cpm/sh.inlog
		ln -fs pmsvmco.conf.Pxm pmsvmco.conf >> /var/fujitsu/SVmco/log/cpm/sh.inlog
	else
		# SVFSư̵ξ
		echo ln -fs pmsvmco.conf.Pxm2 pmsvmco.conf >> /var/fujitsu/SVmco/log/cpm/sh.inlog
		ln -fs pmsvmco.conf.Pxm2 pmsvmco.conf >> /var/fujitsu/SVmco/log/cpm/sh.inlog
	fi
fi
cd - > /dev/null

echo ./chkmdl end. >> /var/fujitsu/SVmco/log/cpm/sh.inlog
